package com.ss.android.ugc.aweme.story;

import X.1hK;
import X.2nn;
import X.9wf;
import X.C0201Cnt;
import X.C0242Cpi;
import X.C0248Cpo;
import X.C2834DwE;
import X.C3855EUh;
import X.ChN;
import X.CiK;
import X.Cl8;
import X.CrU;
import X.LsC;
import X.Stx;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.services.story.EnterStoryParam;
import com.ss.android.ugc.aweme.story.inbox.IStoryInboxService;

public interface IStoryService {
    static {
        Covode.recordClassIndex(116813);
    }

    ChN LIZ(ViewGroup viewGroup, 2nn r2, ViewGroup viewGroup2);

    ChN LIZ(ViewGroup viewGroup, Stx stx, 2nn r3, ViewGroup viewGroup2, ViewGroup viewGroup3, ViewGroup viewGroup4, LsC<? super String, ? extends View> lsC);

    CiK LIZ(String str, String str2);

    C0248Cpo LIZ(Context context);

    Object LIZ(2nn r1);

    void LIZ(int i);

    void LIZ(1hK r1);

    void LIZ(1hK r1, String str);

    void LIZ(1hK r1, String str, Aweme aweme);

    void LIZ(Context context, EnterStoryParam enterStoryParam);

    void LIZ(String str, Aweme aweme);

    boolean LIZ();

    boolean LIZ(String str);

    int LIZIZ();

    9wf LIZIZ(String str);

    Object LIZIZ(2nn r1);

    int LIZJ();

    Object LIZJ(2nn r1);

    void LIZJ(String str);

    C0242Cpi LIZLLL();

    C0201Cnt LJ();

    Cl8 LJFF();

    void LJI();

    int[] LJII();

    boolean LJIIIIZZ();

    void LJIIIZ();

    C3855EUh LJIIJ();

    int LJIIJJI();

    C2834DwE LJIIL();

    CrU LJIILIIL();

    boolean LJIILJJIL();

    IStoryInboxService LJIILL();
}
